Skip to content
Docs

Issue a new cert

POSThttps://api.vercel.com/v8/certs
Issue a new cert
https://api.vercel.com/v8/certs
const response = await fetch('https://api.vercel.com/v8/certs?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"cns": []
}),
});
const data = await response.json();
console.log(data);
Response
{
"autoRenew": "false",
"cns": [],
"createdAt": "123",
"expiresAt": "123",
"id": "icfg_1234567890"
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
cnsarrayOptional
The common names the cert should be issued for
200Success
autoRenewbooleanRequired
cnsarrayRequired
createdAtnumberRequired
expiresAtnumberRequired
idstringRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error
449Error
500Error